HomePhabricator

build: Updating composer dependencies

Description

build: Updating composer dependencies

  • mediawiki/mediawiki-codesniffer: 34.0.0 → 35.0.0 The following sniffs are failing and were disabled:
    • MediaWiki.Commenting.FunctionComment.WrongStyle
  • mediawiki/minus-x: 1.1.0 → 1.1.1
  • ockcyp/covers-validator: 1.3.1 → 1.3.3

Additional changes:

  • Added the "composer phan" command to conveniently run phan.

Change-Id: Icf396c706185a997f09aa2aa583c992d6cd3cfc6

Details

Provenance
LibUp-botAuthored on Jan 30 2021, 6:52 PM
Parents
rMLIP1859420f15dd: tests: Add test case to make IPUtils::parseRange6 100% covered
Branches
Unknown
Tags
Unknown
ChangeId
Icf396c706185a997f09aa2aa583c992d6cd3cfc6